from transformers import MarianMTModel, MarianTokenizer

def translate_english_to_hebrew(text):
    # Load the pre-trained translation model and tokenizer
    model_name = "Helsinki-NLP/opus-mt-en-he"
    model = MarianMTModel.from_pretrained(model_name)
    tokenizer = MarianTokenizer.from_pretrained(model_name, cache_dir="./my_cache_dir")

    # Tokenize the English text
    input_ids = tokenizer.encode(text, return_tensors="pt")

    # Generate the translation
    translation_ids = model.generate(input_ids)

    # Decode the translated output
    translated_text = tokenizer.decode(translation_ids[0], skip_special_tokens=True)

    return translated_text

# Input English text
english_text = "Hello, how are you?"

# Get the translated text
translated_text = translate_english_to_hebrew(english_text)

print("Translated Text:", translated_text)
